> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get the refunded amounts for the return

GET https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/{mp_order_number}/returns/{mp_return_number}/refunds

Get the status of the return

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-source-api/returns/get-return-refunds

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `mp_order_number` (string, required) — The unique Id for an order that is generated by the marketplace
- `mp_return_number` (string, required) — The unique Id for the return that is generated by the marketplace

## Response

### 200

Return Status

- `status` (enum, required) — The status of the refund processing&#x20; AWAITING\_AUTHORIZATION - The return has been placed into FeedAMP AUTHORIZED - The merchant has authorized the refund (if preauthorized is false) REFUNDED - The merchant has specified the refund amounts COMPLETED - The marketplace has marked the return a complete
  - Allowed values: `AWAITING_AUTHORIZATION`, `AUTHORIZED`, `REFUNDED`, `COMPLETED`
- `rma` (string, required) — The return authorization number generated by the seller. This field is read-only for the marketplace.
- `merchant_refund_lines` (list of ReturnLineRefund, required)
- `errors` (list of ReturnError, optional)

## Errors

### 401 Unauthorized Error

Invalid token

- `error` (string, optional) — Message describing the authentication failure

### 404 Not Found Error

The return could not be found in the systems

- `message` (string, optional) — Error message

## Types

### ReturnLineRefund

The refund amounts approved by the seller

- `mp_return_line_number` (string, required) — The marketplace identifier of this unique return line
- `principal_refund_amount` (double, optional) — The amount of the requested return principal that has been approved
- `shipping_refund_amount` (double, optional) — The amount of the requested shipping amount that has been approved

### ReturnError

An object detailing the validation errors encountered in the marketplace

- `code` (enum, required) — Code to uniquely identify the type of error
  - Allowed values: `EXCESS_REFUND`, `FULL_REFUND_REQUIRED`, `INVALID_CURRENCY`, `INVALID_ITEM_REFUND`, `INVALID_INVALID_ITEM_TAX_REFUND`, `INVALID_QUANTITY`, `INVALID_SHIPPING`, `MP_LINE_NUMBER_DOES_NOT_EXIST`
- `message` (string, required) — The error message for the error code

## Examples

**Response**

```json
{
  "status": "AUTHORIZED",
  "rma": "RMA-12345",
  "merchant_refund_lines": [
    {
      "mp_return_line_number": "RETURN-XX-111-FF-1111",
      "principal_refund_amount": 1.1,
      "shipping_refund_amount": 1.1
    }
  ],
  "errors": [
    {
      "code": "EXCESS_REFUND",
      "message": "Requested refund amount for line exceeds line cost"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```